File:  [ELWIX - Embedded LightWeight unIX -] / elwix / build_3thparty.sh
Revision 1.2.6.6: download - view: text, annotated - select for diffs - revision graph
Mon Jul 29 19:46:11 2013 UTC (10 years, 10 months ago) by misho
Branches: elwix1_9
Diff to: branchpoint 1.2: preferred, unified
adds dnsmasq

    1: #!/bin/sh
    2: #
    3: # ELWIX build script for cross compiling 3th party software
    4: #
    5: # (C) AITNET ltd - Sofia/Bulgaria <office@aitnet.org>
    6: #    by Michael Pounov <misho@elwix.org>
    7: #
    8: # $Id: build_3thparty.sh,v 1.2.6.6 2013/07/29 19:46:11 misho Exp $
    9: #
   10: 
   11: [ -r ./config/rc.elwix ] && . ./config/rc.elwix
   12: if [ X"${ELWIX_IS_CONFIGURED}" != X"YES" ]; then
   13: 	echo
   14: 	echo "ELWIX project is not configured !?!"
   15: 	echo
   16: 	exit 1
   17: fi
   18: V=${VERSION}
   19: [ -r ${CENV} ] && . ${CENV}
   20: unset INSTALL
   21: unset VERSION
   22: VERSION="$V"
   23: 
   24: if [ ! -d $BSDSRC ]; then
   25: 	echo
   26: 	echo "ELWIX project is not configured - missing BSD sources !?!"
   27: 	echo
   28: 	exit 1
   29: fi
   30: 
   31: if [ ! -d $DEST ]; then
   32: 	echo
   33: 	echo "ELWIX project is not configured - missing Dest directory !?!"
   34: 	echo
   35: 	exit 1
   36: fi
   37: 
   38: clean_3th()
   39: {
   40: 	echo "+++ Clean ELWIX 3th party ..."
   41: 
   42: 	rm -rf ${PKG}
   43: 	install -d ${PKG}
   44: 	install -d ${PKG}/bin
   45: 	install -d ${PKG}/etc
   46: 	install -d ${PKG}/include
   47: 	install -d ${PKG}/man
   48: 	install -d ${PKG}/lib
   49: 	install -d ${PKG}/libexec
   50: 	install -d ${PKG}/sbin
   51: }
   52: 
   53: compile_3th()
   54: {
   55: 	echo "+++ Compile ELWIX 3th party ..."
   56: 
   57: 	cd $CROSS_3TH
   58: 	./build.sh expat ${CBUILD} ${PKG} ${TARGET_BUILD}
   59: 	[ $? -ne 0 ] && exit 1
   60: 	./build.sh libevent ${CBUILD} ${PKG} ${TARGET_BUILD}
   61: 	[ $? -ne 0 ] && exit 1
   62: 	./build.sh libiconv ${CGBUILD} ${PKG} ${TARGET_BUILD}
   63: 	[ $? -ne 0 ] && exit 1
   64: 	./build.sh pcre ${CBUILD} ${PKG} ${TARGET_BUILD}
   65: 	[ $? -ne 0 ] && exit 1
   66: 	./build.sh mini_sendmail ${CBUILD} ${PKG} ${TARGET_BUILD}
   67: 	[ $? -ne 0 ] && exit 1
   68: 	./build.sh choparp ${CBUILD} ${PKG} ${TARGET_BUILD}
   69: 	[ $? -ne 0 ] && exit 1
   70: 	./build.sh scan_ffs ${CBUILD} ${PKG} ${TARGET_BUILD}
   71: 	[ $? -ne 0 ] && exit 1
   72: 	./build.sh istgt ${CBUILD} ${PKG} ${TARGET_BUILD}
   73: 	[ $? -ne 0 ] && exit 1
   74: 	./build.sh rsync ${CBUILD} ${PKG} ${TARGET_BUILD}
   75: 	[ $? -ne 0 ] && exit 1
   76: 	./build.sh ttcp ${CBUILD} ${PKG} ${TARGET_BUILD}
   77: 	[ $? -ne 0 ] && exit 1
   78: 	./build.sh mpd ${CBUILD} ${PKG} ${TARGET_BUILD}
   79: 	[ $? -ne 0 ] && exit 1
   80: 	./build.sh mrouted ${CGBUILD} ${PKG} ${TARGET_BUILD}
   81: 	[ $? -ne 0 ] && exit 1
   82: 	./build.sh igmpproxy ${CBUILD} ${PKG} ${TARGET_BUILD}
   83: 	[ $? -ne 0 ] && exit 1
   84: 	./build.sh sudo ${CBUILD} ${PKG} ${TARGET_BUILD}
   85: 	[ $? -ne 0 ] && exit 1
   86: 	./build.sh bmon ${CGBUILD} ${PKG} ${TARGET_BUILD}
   87: 	[ $? -ne 0 ] && exit 1
   88: 	./build.sh mtr ${CBUILD} ${PKG} ${TARGET_BUILD}
   89: 	[ $? -ne 0 ] && exit 1
   90: 	./build.sh ipguard ${CBUILD} ${PKG} ${TARGET_BUILD}
   91: 	[ $? -ne 0 ] && exit 1
   92: 	./build.sh smartmontools ${CBUILD} ${PKG} ${TARGET_BUILD}
   93: 	[ $? -ne 0 ] && exit 1
   94: 	./build.sh quagga ${CBUILD} ${PKG} ${TARGET_BUILD}
   95: 	[ $? -ne 0 ] && exit 1
   96: 	./build.sh iftop ${CBUILD} ${PKG} ${TARGET_BUILD}
   97: 	[ $? -ne 0 ] && exit 1
   98: 	./build.sh arping ${CBUILD} ${PKG} ${TARGET_BUILD}
   99: 	[ $? -ne 0 ] && exit 1
  100: 	./build.sh hping2 ${CGBUILD} ${PKG} ${TARGET_BUILD}
  101: 	[ $? -ne 0 ] && exit 1
  102: 	./build.sh trafshow ${CBUILD} ${PKG} ${TARGET_BUILD}
  103: 	[ $? -ne 0 ] && exit 1
  104: 	./build.sh ipsec-tools ${CBUILD} ${PKG} ${TARGET_BUILD}
  105: 	[ $? -ne 0 ] && exit 1
  106: 	./build.sh dhcp ${CBUILD} ${PKG} ${TARGET_BUILD}
  107: 	[ $? -ne 0 ] && exit 1
  108: 	./build.sh dhcping ${CBUILD} ${PKG} ${TARGET_BUILD}
  109: 	[ $? -ne 0 ] && exit 1
  110: 	./build.sh dnsmasq ${CBUILD} ${PKG} ${TARGET_BUILD}
  111: 	[ $? -ne 0 ] && exit 1
  112: #	./build.sh miniupnpd ${CBUILD} ${PKG} ${TARGET_BUILD}
  113: #	[ $? -ne 0 ] && exit 1
  114: #	./build.sh miniupnpc ${CGBUILD} ${PKG} ${TARGET_BUILD}
  115: #	[ $? -ne 0 ] && exit 1
  116: 	./build.sh ntp ${CBUILD} ${PKG} ${TARGET_BUILD}
  117: 	[ $? -ne 0 ] && exit 1
  118: #	./build.sh libxml2 ${CBUILD} ${PKG} ${TARGET_BUILD}
  119: #	[ $? -ne 0 ] && exit 1
  120: #	./build.sh php ${CBUILD} ${PKG} ${TARGET_BUILD}
  121: #	[ $? -ne 0 ] && exit 1
  122: 	cd -
  123: }
  124: 
  125: ### main()
  126: if ! SnitVer ${PKG}/elwix.ver; then
  127: 	clean_3th
  128: 	compile_3th
  129: 
  130: 	echo "ELWIX Platform:${PLATFORM} Version:${VERSION} TargetArch:${TARGET_ARCH}" >${PKG}/elwix.ver
  131: else
  132: 	echo "Skipped ELWIX 3th party build ..."
  133: fi
  134: 
  135: echo "+++ Complete build ELWIX 3th party"

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>